<?php

/*Student API*/


/*Fetching API*/


/* Attempt to connect to MySQL database */
define('DB_SERVER', 'localhost');
define('DB_USERNAME', 'Restax_final');

define('DB_PASSWORD', 'Restax_final123');

define('DB_NAME', 'Restax_api_data'); 
 

$con = new mysqli(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_NAME);

$course_id = $request->getAttribute('course_id');
$season_id = $request->getAttribute('season_id');
// Check connection
if (mysqli_connect_errno())
  {
  echo "Failed to connect to MySQL: " . mysqli_connect_error();
  }

$response=array();


 if(isset($course_id)&&isset($season_id)){
$sql="SELECT * FROM Exams WHERE course_id='$course_id' AND season_id='$season_id' ORDER BY exam_start_date_time DESC";
}
 elseif(isset($course_id)){
$sql="SELECT * FROM Exams WHERE course_id='$course_id' ORDER BY exam_start_date_time DESC";
}
else{

$sql="SELECT * FROM Exams ORDER BY exam_start_date_time DESC";

}
$result=mysqli_query($con,$sql);

    while ($row[]=mysqli_fetch_assoc($result)) {  

      $user=$row;

    }

    echo json_encode($user);






?>